Bug 185456 - kernel dm mirroring: suspend operation is not well behaved
Summary: kernel dm mirroring: suspend operation is not well behaved
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jonathan Earl Brassow
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2006-03-14 21:53 UTC by Jonathan Earl Brassow
Modified: 2007-11-30 22:07 UTC (History)
7 users (show)

Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 22:43:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed (but not final) patch (1.33 KB, patch)
2006-03-14 21:55 UTC, Jonathan Earl Brassow
no flags Details | Diff
better patch (3.07 KB, patch)
2006-04-01 20:00 UTC, Jonathan Earl Brassow
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0575 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 4 2006-08-10 04:00:00 UTC

Description Jonathan Earl Brassow 2006-03-14 21:53:20 UTC
Description of problem:

All outstanding I/O that the mirror has generated (recovery traffic) needs to be
completed before a return from mirror_postsuspend().  These are the rules of
device-mapper suspension, and mirroring is not following it.  This has cause
problems for other targets, and it is thought that it will cause problems for
mirroring during device failure scenarios.

Comment 1 Jonathan Earl Brassow 2006-03-14 21:55:20 UTC
Created attachment 126122 [details]
proposed (but not final) patch

Comment 3 Jonathan Earl Brassow 2006-04-01 20:00:08 UTC
Created attachment 127183 [details]
better patch

We must call log_postsuspend only _after_ all recovery work has been handled
and all associated calls to the log have been made.  Otherwise, the log can not
properly suspend, because it may be given work after the log postsuspend call. 
The fix involves a counter.

Comment 4 Jason Baron 2006-05-09 17:27:24 UTC
committed in stream U4 build 34.26. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 8 Red Hat Bugzilla 2006-08-10 22:43:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html



Note You need to log in before you can comment on or make changes to this bug.